List of Open Source Software which can be built on Fugaku

Spack logo
Spack will be used to manage open source software packages on Fugaku. Fugaku users can easily use pre-installed packages and built packages based on Spack recipes. The following list shows the results of building/compiling packages for aarch64 according to the Spack recipes. Note that the results in this list do not guarantee that each package will work properly. On the other hand, Fujitsu will provide the following packages compiled with Fujitsu compiler on Fugaku as "external" packages, of which Spack can be aware.
  • OpenJDK 11
  • Ruby 2.6.5 or later
  • Python2 2.7.15
  • Python3 3.6.8
  • Numpy 1.14.3
  • SciPy 1.0.0
  • Eclipse IDE 2019-09 R Packages
Please contact us from email:

Build success rate per compiler


Last Modified: 4/8/24, 2:58 AM GMT
Spack Version: 1/18/24, 1:14 AM GMT
Click each result for further infomation.
Package Version Fujitsu Compiler GCC
libatasmart 0.19 YES
libatomic-ops 7.8.0 YES
libbacktrace 2020-02-19 YES
libbeagle 3.1.2 Skipped
libbeato master Dependency Error
libbigwig 0.4.7 YES
libbinio 1.5 YES
libblastrampoline 5.8.0 YES
libbsd 0.11.7 YES
libbson 1.24.4 YES
libbytesize 2.4 YES
libc 1.0 YES
libcanberra 0.30 Dependency Error
libcap 2.68 Dependency Error
libcap-ng 0.8.3 YES
libcatalyst 2.0.0-rc4 YES
libceed 0.12.0 Dependency Error
libcerf 1.3 YES
libcgroup 0.41 YES
libcint 5.3.0 YES
libcircle 0.3.0 YES
libconfig 1.7.3 YES
libconfuse 3.3 YES
libcroco 0.6.13 Dependency Error
libctl 4.5.1 Dependency Error
libcudf 0.15.0 Skipped
libcuml 0.15.0 Dependency Error
libcumlprims 0.15.0-cuda11.0_gdbd0d39_0 YES
libcxxwrap-julia 0.9.1 Dependency Error
libcyaml 1.4.0 YES
libdaemon 0.14 YES
libdap4 3.20.6 YES
libdatrie 0.2.12 YES
libdc1394 2.2.6 Dependency Error
libde265 1.0.9 Dependency Error
libdeflate 1.18 YES
libdistributed 0.4.2 YES
libdivsufsort 2.0.1 YES
libdmx 1.1.4 YES
libdrm 2.4.115 Dependency Error
libdwarf 20180129 YES
libeatmydata 131 YES
libecpint 1.0.5 YES
libedit 3.1-20210216 Dependency Error
libefence 2.2.6 YES
libelf 0.8.13 YES
libemos 4.5.1 Dependency Error
libepoxy 1.4.3 YES
libestr 0.1.11 YES
libev 4.24 YES
libevdev 1.5.4 YES
libevent 2.1.12 Dependency Error
libevpath 4.4.0 YES
libexif 0.6.21 Dependency Error
libfabric 1.19.0 Dependency Error
libfastcommon 1.0.43 YES
libfastjson 0.99.8 YES
libffi 3.4.4 Dependency Error
libffs 1.5 YES
libfirefly 2.1.0 YES
libfive master Dependency Error
libflame 5.2.0 YES
libfms 0.2.0 YES
libfontenc 1.1.7 YES
libfs 1.0.9 YES
libfuse 3.16.2 YES
libfyaml 0.8 YES
libgain 1.0.0 YES
libgcrypt 1.10.2 YES
libgd 2.3.3 YES
libgdsii 0.21 YES
libgeotiff 1.7.1 YES
libgff 2.0.0 YES
libgit2 1.7.0 YES
libgpg-error 1.47 YES
libgpuarray 0.7.6 Skipped
libgridxc 0.9.6 YES
libgssglue 0.4 YES
libgta 1.2.1 YES
libgtextutils 0.7 YES
libharu 2.3.0 YES
libhbaapi 3.11 YES
libheif 1.12.0 YES
libhio 1.4.1.6 Dependency Error
libhugetlbfs 2.22 Dependency Error
libiberty 2.41 YES
libibumad 46.0 Dependency Error
libical 3.0.11 Dependency Error
libicd main YES
libice 1.0.9 YES
libiconv 1.17 YES
libid3tag 0.15.1b YES
libidl 0.8.14 Dependency Error
libidn2 2.3.4 YES
libimagequant 2.12.6 YES
libimobiledevice 1.2.0 Dependency Error
libinih master YES
libint 2.6.0 YES
libisal 2.29.0 Dependency Error
libiscsi 1.19.0 YES
libjpeg 9e YES
libjpeg-turbo 3.0.0 YES
libjson 0.8 YES
libjwt 1.15.3 YES
libjxl 0.7.0 Dependency Error
libkcapi 1.2.0 YES
libkml 1.3.0 YES
libksba 1.6.4 YES
liblas 1.8.1 YES
liblbfgs 1.10 YES
liblbxutil 1.1.0 YES
liblockfile 1.14 YES
liblognorm 2.0.6 YES
liblouis 3.25.0 YES
libluv 1.45.0-0 YES
liblzf 3.6 YES
libmacaroons 0.3.0 YES
libmad 0.15.1b YES
libmatheval 1.1.11 YES
libmaus2 2.0.767 YES
libmaxminddb 1.7.1 YES
libmbim 1.20.4 Dependency Error
libmcrypt 2.5.8 Dependency Error
libmd 1.0.4 YES
libmesh 1.4.1
libmetalink 0.1.3 YES
libmicrodns 0.2.0 YES
libmicrohttpd 0.9.76 YES
libmmtf-cpp 1.1.0 YES
libmng 2.0.3 YES
libmnl 1.0.3 YES
libmo-unpack 3.1.2 YES
libmodbus 3.1.6 YES
libmolgrid 0.5.3 Dependency Error
libmonitor 2023.03.15 YES
libmpdclient 2.19 YES
libmypaint 1.6.1 Dependency Error
libnbc 1.1.1 Dependency Error
libndp 1.7 YES
libnet 1.2 YES
libnetfilter-conntrack 1.0.4 Dependency Error
libnetfilter-cthelper 1.2-2019Q4 YES
libnetfilter-cttimeout 1.2-2019Q4 YES
libnetfilter-queue 1.2-2019Q4 YES
libnetworkit 9.0 Dependency Error
libnfnetlink 1.0.1 YES
libnfs 4.0.0 YES
libnfsidmap 0-26 YES
libnftnl 1.1.6 YES
libnids 1.25 Dependency Error
libnl 3.3.0 YES
libnotify 0.7.9 Dependency Error
libnova 0.15.0 YES
libnrm 0.1.0 YES
libnsl 2.0.0 YES
libogg 1.3.5 YES
liboldx 1.0.1 YES
libopts master YES
libp11 0.4.11 Dependency Error
libpam 1.09 YES
libpaper 1.1.28 YES
libpcap 1.10.4 YES
libpciaccess 0.17 Dependency Error
libpeas 1.22.0 Dependency Error
libpfm4 4.13.0 YES
libpipeline 1.5.7 YES
libplist 2.2.0 YES
libpmemobj-cpp 1.12
libpng 1.6.39
libpostal 1.1 Dependency Error
libpressio 0.95.1 YES
libpressio-adios2 0.0.2 Dependency Error
libpressio-errorinjector 0.8.0 YES
libpressio-nvcomp 0.0.5 Dependency Error
libpressio-opt 0.15.0 YES
libpressio-rmetric 0.0.7 YES
libpressio-sperr 0.0.4 YES
libpressio-tools 0.3.0 Dependency Error
libpressio-tthresh 0.0.7 Dependency Error
libproxy 0.4.17 YES
libpsl 0.21.2 Dependency Error
libpsm3 11.4.1.0 Dependency Error
libpsml 1.1.10 Dependency Error
libpthread-stubs 0.4 YES
libpulsar 2.7.0 Dependency Error
libqglviewer 2.7.2
libqrencode 4.1.1 YES
libquo 1.3.1 YES
libraqm 0.9.0
libraw1394 1.2.0 YES
librdkafka 2.2.0 YES
librelp 1.7.0 YES
libreproc 14.2.4 YES
libressl 3.7.2 Dependency Error
libristra master YES
librmm 0.15.0 Dependency Error
librom develop Dependency Error
librsb 1.3.0.1 Dependency Error
librsvg 2.56.2
librtlsdr 0.6.0 YES

Page 9 of 38, showing 200 record(s) out of 7,469 total